~kaction/config

6be5da02ff57bc61fc2233c8b836737abf4bb8f0 — Dmitry Bogatov 4 months ago dea0cf9
neovim: install latest version of lspconfig

neovim lua interface is quite unstable, and nvim-lspconfig from nixpkgs
uses interfaces already removed.
2 files changed, 11 insertions(+), 1 deletions(-)

M universe/neovim/default.nix
A universe/neovim/src/vim-lspconfig.json
M universe/neovim/default.nix => universe/neovim/default.nix +1 -1
@@ 31,7 31,6 @@ in wrapNeovim nightly {
        last256
        vim-snipmate
        vim-snippets
        nvim-lspconfig
        purescript-vim
        vim-addon-mw-utils # hidden dependency of vim-snipmate
        tlib


@@ 43,6 42,7 @@ in wrapNeovim nightly {
        (plugin ./src/vim-pgsql.json)
        (plugin ./src/vim-gemini.json)
        (plugin ./src/vim-vidir.json)
        (plugin ./src/vim-lspconfig.json)
      ];
    };
    customRC = ''

A universe/neovim/src/vim-lspconfig.json => universe/neovim/src/vim-lspconfig.json +10 -0
@@ 0,0 1,10 @@
{
  "url": "https://github.com/neovim/nvim-lspconfig",
  "rev": "afc26485cf50c82321d2ccb98517a73d9434af44",
  "date": "2021-03-28T17:07:59+00:00",
  "path": "/nix/store/2vw22agiirpf1h8zvwxqd0h87y6hi5b8-nvim-lspconfig",
  "sha256": "0da410cxswwh7781h28qvjd6xmx89k3k6z11339hjx8bjsqr8dhv",
  "fetchSubmodules": false,
  "deepClone": false,
  "leaveDotGit": false
}